org.apache.catalina.storeconfig

## Class StandardServerSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.StandardServerSF

- All Implemented Interfaces:
    IStoreFactory

      public class StandardServerSF
      extends StoreFactoryBase

  Store server.xml Server element and children ( Listener,GlobalNamingResource,Service)

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardServerSF()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `store(PrintWriter aWriter, int indent, Object aServer)` Store the specified Server properties.
    `void` | `storeChildren(PrintWriter aWriter, int indent, Object aObject, StoreDescription parentDesc)` Store the specified server element children.

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardServerSF

          public StandardServerSF()

  - ### Method Detail

    - #### store

          public void store(PrintWriter aWriter,
                            int indent,
                            Object aServer)
                     throws Exception

      Store the specified Server properties.
      Specified by:
        `store` in interface `IStoreFactory`
      Overrides:
        `store` in class `StoreFactoryBase`
      Parameters:
        `aWriter` - PrintWriter to which we are storing
        `indent` - Number of spaces to indent this element
        `aServer` - Object to be stored
      Throws:
        `Exception` - if an exception occurs while storing
      See Also:
        `IStoreFactory.store(java.io.PrintWriter, int, java.lang.Object)`

    - #### storeChildren

          public void storeChildren(PrintWriter aWriter,
                                    int indent,
                                    Object aObject,
                                    StoreDescription parentDesc)
                             throws Exception

      Store the specified server element children.
      Overrides:
        `storeChildren` in class `StoreFactoryBase`
      Parameters:
        `aWriter` - Current output writer
        `indent` - Indentation level
        `aObject` - Server to store
        `parentDesc` - The element description
      Throws:
        `Exception` - Configuration storing error

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.